Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.portlet
Class PortletDefinitionIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortletDefinitionID>
              com.bea.portal.tools.portal.portlet.PortletDefinitionIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class PortletDefinitionIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortletDefinitionID>

Identifies the collection of portal resource definitions.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`PortletDefinitionIDBuilder()` Constructor.

Method Summary
`PortletDefinitionID` | `createResourceID()` Create the `PortletDefinitionsID`.
`PortletDefinitionId` | `getPortletDefinitionId()` Get the `PortletDefinitionId`.
`PortletDefinitionIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`PortletDefinitionIDBuilder` | `setPortletDefinitionId(PortletDefinitionId portletDefinitionId)` Change the `PortletDefinitionId`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletDefinitionIDBuilder

    public PortletDefinitionIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public PortletDefinitionIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `PortletDefinitionsIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortletDefinitionID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getPortletDefinitionId

    public PortletDefinitionId getPortletDefinitionId()

  Get the `PortletDefinitionId`.

  Returns
    the `PortletDefinitionId`

### setPortletDefinitionId

    public PortletDefinitionIDBuilder setPortletDefinitionId(PortletDefinitionId portletDefinitionId)

  Change the `PortletDefinitionId`.

  Parameters
    `portletDefinitionId` - the `PortletDefinitionId`
  Returns
    this `PortletDefinitionIDBuilder`

### createResourceID

    public PortletDefinitionID createResourceID()

  Create the `PortletDefinitionsID`. the `PortletDefinitionsID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<PortletDefinitionID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved